Bug 90679 - feature request: oldsize size
feature request: oldsize size
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 10:20 EDT by Hans Lambermont
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Lambermont 2003-05-12 10:20:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.1) Gecko/20030509

Description of problem:
I have a logrotate feature request :

oldsize size

Old log files are removed (oldest first) when they together grow bigger
then size bytes until they are less than size bytes. If size is followed
by M, the size  if assumed  to be in megabytes. If the k is used, the
size is in kilobytes. So size 100, size  100k, and size 100M are all
valid. This way you won't fill up your disk with old log files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. irrelevant. this is a feature request
2.
3.
    

Additional info:
Comment 1 Elliot Lee 2003-07-09 11:50:33 EDT
I tried adding this feature, but it was taking too long and wasn't worth the
time. I'd be happy to take a patch though.
Comment 2 Bill Nottingham 2006-08-07 16:06:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 13:29:49 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.